Package com.google.protobuf

# Class DescriptorProtos.EnumValueDescriptorProto.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>
com.google.protobuf.DescriptorProtos.EnumValueDescriptorProto.Builder

All Implemented Interfaces:
  `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  DescriptorProtos.EnumValueDescriptorProto

public static final class DescriptorProtos.EnumValueDescriptorProto.Builder extends GeneratedMessageV3.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder> implements DescriptorProtos.EnumValueDescriptorProtoOrBuilder
Protobuf type `google.protobuf.EnumValueDescriptorProto`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.EnumValueDescriptorProto`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.EnumValueDescriptorProto`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`clearName()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`clearNumber()`
`optional int32 number = 2 [json_name = "number"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`clearOptions()`
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumValueDescriptorProto`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`int`
`getNumber()`
`optional int32 number = 2 [json_name = "number"];`
`DescriptorProtos.EnumValueOptions`
`getOptions()`
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumValueOptions.Builder`
`getOptionsBuilder()`
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumValueOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasNumber()`
`optional int32 number = 2 [json_name = "number"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`mergeFrom(DescriptorProtos.EnumValueDescriptorProto other)`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`mergeOptions(DescriptorProtos.EnumValueOptions value)`
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`
`final DescriptorProtos.EnumValueDescriptorProto.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`setName(String value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`setNameBytes(ByteString value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`setNumber(int value)`
`optional int32 number = 2 [json_name = "number"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`setOptions(DescriptorProtos.EnumValueOptions value)`
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`setOptions(DescriptorProtos.EnumValueOptions.Builder builderForValue)`
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`
`final DescriptorProtos.EnumValueDescriptorProto.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>`

### clear

public DescriptorProtos.EnumValueDescriptorProto.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.EnumValueDescriptorProto getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.EnumValueDescriptorProto build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.EnumValueDescriptorProto buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.EnumValueDescriptorProto.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.EnumValueDescriptorProto.Builder mergeFrom(DescriptorProtos.EnumValueDescriptorProto other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.EnumValueDescriptorProto.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### hasName

public boolean hasName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `hasName` in interface `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
Returns:
  The bytes for name.

### setName

public DescriptorProtos.EnumValueDescriptorProto.Builder setName(String value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DescriptorProtos.EnumValueDescriptorProto.Builder clearName()
`optional string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public DescriptorProtos.EnumValueDescriptorProto.Builder setNameBytes(ByteString value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### hasNumber

public boolean hasNumber()
`optional int32 number = 2 [json_name = "number"];`

Specified by:
  `hasNumber` in interface `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
Returns:
  Whether the number field is set.

### getNumber

public int getNumber()
`optional int32 number = 2 [json_name = "number"];`

Specified by:
  `getNumber` in interface `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
Returns:
  The number.

### setNumber

public DescriptorProtos.EnumValueDescriptorProto.Builder setNumber(int value)
`optional int32 number = 2 [json_name = "number"];`

Parameters:
  `value` - The number to set.
Returns:
  This builder for chaining.

### clearNumber

public DescriptorProtos.EnumValueDescriptorProto.Builder clearNumber()
`optional int32 number = 2 [json_name = "number"];`

Returns:
  This builder for chaining.

### hasOptions

public boolean hasOptions()
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`

Specified by:
  `hasOptions` in interface `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
Returns:
  Whether the options field is set.

### getOptions

public DescriptorProtos.EnumValueOptions getOptions()
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`

Specified by:
  `getOptions` in interface `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
Returns:
  The options.

### setOptions

public DescriptorProtos.EnumValueDescriptorProto.Builder setOptions(DescriptorProtos.EnumValueOptions value)
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`

### setOptions

public DescriptorProtos.EnumValueDescriptorProto.Builder setOptions(DescriptorProtos.EnumValueOptions.Builder builderForValue)
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`

### mergeOptions

public DescriptorProtos.EnumValueDescriptorProto.Builder mergeOptions(DescriptorProtos.EnumValueOptions value)
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`

### clearOptions

public DescriptorProtos.EnumValueDescriptorProto.Builder clearOptions()
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`

### getOptionsBuilder

public DescriptorProtos.EnumValueOptions.Builder getOptionsBuilder()
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`

### getOptionsOrBuilder

public DescriptorProtos.EnumValueOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.EnumValueOptions options = 3 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`

### setUnknownFields

public final DescriptorProtos.EnumValueDescriptorProto.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>`

### mergeUnknownFields

public final DescriptorProtos.EnumValueDescriptorProto.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumValueDescriptorProto.Builder>`